Loading...
Searching...
No Matches
TargetQueryOps.h File Reference

Defines a lowering pass to lower all target_is() and target_has() helpers. More...

`#include <map>`
`#include <string>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

void | Halide::Internal::lower_target_query_ops (std::map< std::string, Function > &env, const Target &t)

## Detailed Description

Defines a lowering pass to lower all target_is() and target_has() helpers.

Definition in file TargetQueryOps.h.